#include <dialog/resman.h>
#include <stdio.h>
#include <proto/dlg.h>
#include <proto/dos.h>

extern char           **SA;
extern struct Library  *DLGBase;
extern struct USER_DATA StUser;

BYTE _EnterArea(SHORT area,UBYTE flag,UBYTE mode)

{struct DLGAreaInfo Info;

 if (EnterArea(area, flag) != RMNOERR)
    {Info.area = area;
     if (GetAreaInfo(&Info,flag) == RMNOERR)
        {if (mode)  AFPrintf(&StUser,Output(),SA[3428],Info.reason);
         FreeAreaInfo(&Info);
        }
      
     return(-1);
    }

 return(0);
}
